{% extends "references_manager/base.html" %}

{% block title %}- Search results by dimension{% endblock %}

{% block content %}

{% if results_mm %}
<div class="container col-12">
    <!-- Fixed header table-->
    <div class="table-responsive table-bordered bg-white rounded shadow">
        <h2>{{ count_mm }} results for search in mm:</h2>
        <table class="table table-fixed table-striped">
            <thead class="thead-dark" id="table-head-link">
                <tr>
                    <th>Name</th>

                    <th>Type</th>
                    <th>A (mm)</th>
                    <th>B (mm)</th>
                    <th>C (mm)</th>
                    <th>A (inch)</th>
                    <th>B (inch)</th>
                    <th>C (inch)</th>

                </tr>
            </thead>
            <tbody id="table-link">
            {% for product in results_mm %}
                <tr>
                    <th><a href="{% url 'detail-page' product.id %}">{{ product.name }} <span style="float:right;"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></span></a></th>

                    <td>{{ product.type }}</td>
                    <td>{{ product.a_in_mm }}</td>
                    <td>{{ product.b_in_mm }}</td>
                    <td>{{ product.c_in_mm }}</td>
                    <td>{{ product.a_in_inches }}</td>
                    <td>{{ product.b_in_inches }}</td>
                    <td>{{ product.c_in_inches }}</td>

                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}
<div class="container">
    <br>
</div>
{% if results_inch %}
<div class="container col-12">
    <!-- Fixed header table-->
    <div class="table-responsive table-bordered bg-white rounded shadow">
        <h2>{{ count_inch }} results for search in inches:</h2>
        <table class="table table-fixed table-striped">
            <thead class="thead-dark" id="table-head-link">
                <tr>
                    <th>Name</th>

                    <th>Type</th>
                    <th>A (mm)</th>
                    <th>B (mm)</th>
                    <th>C (mm)</th>
                    <th>A (inch)</th>
                    <th>B (inch)</th>
                    <th>C (inch)</th>

                </tr>
            </thead>
            <tbody id="table-link">
            {% for product in results_inch %}
                <tr>
                    <th><a href="{% url 'detail-page' product.id %}">{{ product.name }} <span style="float:right;"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></span></a></th>

                    <td>{{ product.type }}</td>
                    <td>{% if product.a_in_mm != 0 %}{{ product.a_in_mm }}{% endif %}</td>
                    <td>{% if product.b_in_mm != 0 %}{{ product.b_in_mm }}{% endif %}</td>
                    <td>{% if product.c_in_mm != 0 %}{{ product.c_in_mm }}{% endif %}</td>
                    <td>{% if product.a_in_inches != 0 %}{{ product.a_in_inches }}{% endif %}</td>
                    <td>{% if product.b_in_inches != 0 %}{{ product.b_in_inches }}{% endif %}</td>
                    <td>{% if product.c_in_inches != 0 %}{{ product.c_in_inches }}{% endif %}</td>

                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

<div class="container">
    <br>
</div>
<div class="container col-12">
    <div class="container bg-white rounded shadow">
        <form method="GET" action="{% url 'search-by-dimension' %}" >
            <div class="row">

                <div class="col-md-6">
                    <h2>Search by dimension:</h2>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="a_min">A min:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="a_min" value="{{ request.GET.a_min }}" placeholder="0.00" id="a_min">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="a_max">A max:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="a_max" value="{{ request.GET.a_max }}" placeholder="0.00" id="a_max">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="b_min">B min:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="b_min" value="{{ request.GET.b_min }}" placeholder="0.00" id="b_min">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="b_max">B max:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="b_max" value="{{ request.GET.b_max }}" placeholder="0.00" id="b_max">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="c_min">C min:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="c_min" value="{{ request.GET.c_min }}" placeholder="0.00" id="c_min">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="c_max">C max:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="c_max" value="{{ request.GET.c_max }}" placeholder="0.00" id="c_max">
                        </div>
                        <div class="form-group col-md-6">
                            <p>Search in: </p>
                            {% for type in types %}
                            <input type="radio" id="{{ type.name }}" name="types" value="{{ type.name }}">
                            <label for="{{ type.name }}">{{ type.name }}</label><br>
                            {% endfor %}
                        </div>
                        <div class="form-group col-md-12">
                            <button type="submit" class="btn btn-info"><span class="fa fa-search"></span> Search</button>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    {% for type in types %}
                        <img class="img-fluid rounded my-3" src="{{ type.image.url }}" alt="">
                    {% endfor %}
                </div>
            </div>

        </form>
    </div>
</div>

{% endblock content %}